API ReferenceRoomsFetch_past_rooms
Fetch past rooms
Returns previously created or finished rooms. Filters, pagination and ordering can be supplied in the request body.
Returns previously created or finished rooms. Filters, pagination and ordering can be supplied in the request body.
In: header
Base64-encoded HMAC-SHA256 of the resolved request body, signed with the project secret (not the API key).
In: header
"ASC" | "DESC"application/json
application/json
curl -X POST "https://api.qriib.dev/api/v4/rooms/fetch_past_rooms" \ -H "Content-Type: application/json" \ -d '{ "type": "object", "properties": { "room_ids": { "type": "array", "items": { "type": "string" } }, "from": { "type": "integer" }, "limit": { "type": "integer" }, "order_by": { "type": "string", "enum": [ "ASC", "DESC" ] } }, "examples": [ { "room_ids": [ "141513" ], "from": 0, "limit": 10, "order_by": "DESC" } ] }'{
"rooms": [
{
"room_id": "141513",
"status": "finished"
}
]
}{
"error": "Invalid signature"
}curl -X POST "https://api.qriib.dev/api/v4/rooms/fetch_past_rooms" \
-H "Content-Type: application/json" \
-d '{
"type": "object",
"properties": {
"room_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"from": {
"type": "integer"
},
"limit": {
"type": "integer"
},
"order_by": {
"type": "string",
"enum": [
"ASC",
"DESC"
]
}
},
"examples": [
{
"room_ids": [
"141513"
],
"from": 0,
"limit": 10,
"order_by": "DESC"
}
]
}'